

# DescribeAssetModelInterfaceRelationship
<a name="API_DescribeAssetModelInterfaceRelationship"></a>

Retrieves information about an interface relationship between an asset model and an interface asset model.

## Request Syntax
<a name="API_DescribeAssetModelInterfaceRelationship_RequestSyntax"></a>

```
GET /asset-models/assetModelId/interface/interfaceAssetModelId/asset-model-interface-relationship HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeAssetModelInterfaceRelationship_RequestParameters"></a>

The request uses the following URI parameters.

 ** [assetModelId](#API_DescribeAssetModelInterfaceRelationship_RequestSyntax) **   <a name="iotsitewise-DescribeAssetModelInterfaceRelationship-request-uri-assetModelId"></a>
The ID of the asset model. This can be either the actual ID in UUID format, or else externalId: followed by the external ID.  
Length Constraints: Minimum length of 13. Maximum length of 139.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$|^externalId:[a-zA-Z0-9_][a-zA-Z_\-0-9.:]*[a-zA-Z0-9_]+`   
Required: Yes

 ** [interfaceAssetModelId](#API_DescribeAssetModelInterfaceRelationship_RequestSyntax) **   <a name="iotsitewise-DescribeAssetModelInterfaceRelationship-request-uri-interfaceAssetModelId"></a>
The ID of the interface asset model. This can be either the actual ID in UUID format, or else externalId: followed by the external ID.  
Length Constraints: Minimum length of 13. Maximum length of 139.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$|^externalId:[a-zA-Z0-9_][a-zA-Z_\-0-9.:]*[a-zA-Z0-9_]+`   
Required: Yes

## Request Body
<a name="API_DescribeAssetModelInterfaceRelationship_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeAssetModelInterfaceRelationship_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "assetModelId": "string",
   "hierarchyMappings": [ 
      { 
         "assetModelHierarchyId": "string",
         "interfaceAssetModelHierarchyId": "string"
      }
   ],
   "interfaceAssetModelId": "string",
   "propertyMappings": [ 
      { 
         "assetModelPropertyId": "string",
         "interfaceAssetModelPropertyId": "string"
      }
   ]
}
```

## Response Elements
<a name="API_DescribeAssetModelInterfaceRelationship_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [assetModelId](#API_DescribeAssetModelInterfaceRelationship_ResponseSyntax) **   <a name="iotsitewise-DescribeAssetModelInterfaceRelationship-response-assetModelId"></a>
The ID of the asset model.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$` 

 ** [hierarchyMappings](#API_DescribeAssetModelInterfaceRelationship_ResponseSyntax) **   <a name="iotsitewise-DescribeAssetModelInterfaceRelationship-response-hierarchyMappings"></a>
A list of hierarchy mappings between the interface asset model and the asset model where the interface is applied.  
Type: Array of [HierarchyMapping](API_HierarchyMapping.md) objects

 ** [interfaceAssetModelId](#API_DescribeAssetModelInterfaceRelationship_ResponseSyntax) **   <a name="iotsitewise-DescribeAssetModelInterfaceRelationship-response-interfaceAssetModelId"></a>
The ID of the interface asset model.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$` 

 ** [propertyMappings](#API_DescribeAssetModelInterfaceRelationship_ResponseSyntax) **   <a name="iotsitewise-DescribeAssetModelInterfaceRelationship-response-propertyMappings"></a>
A list of property mappings between the interface asset model and the asset model where the interface is applied.  
Type: Array of [PropertyMapping](API_PropertyMapping.md) objects

## Errors
<a name="API_DescribeAssetModelInterfaceRelationship_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
 AWS IoT SiteWise can't process your request right now. Try again later.  
HTTP Status Code: 500

 ** InvalidRequestException **   
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.  
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The requested resource can't be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.  
For more information, see [Quotas](https://docs.aws.amazon.com/iot-sitewise/latest/userguide/quotas.html) in the * AWS IoT SiteWise User Guide*.  
HTTP Status Code: 429

## See Also
<a name="API_DescribeAssetModelInterfaceRelationship_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iotsitewise-2019-12-02/DescribeAssetModelInterfaceRelationship) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iotsitewise-2019-12-02/DescribeAssetModelInterfaceRelationship) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iotsitewise-2019-12-02/DescribeAssetModelInterfaceRelationship) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iotsitewise-2019-12-02/DescribeAssetModelInterfaceRelationship) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iotsitewise-2019-12-02/DescribeAssetModelInterfaceRelationship) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iotsitewise-2019-12-02/DescribeAssetModelInterfaceRelationship) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iotsitewise-2019-12-02/DescribeAssetModelInterfaceRelationship) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iotsitewise-2019-12-02/DescribeAssetModelInterfaceRelationship) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iotsitewise-2019-12-02/DescribeAssetModelInterfaceRelationship) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iotsitewise-2019-12-02/DescribeAssetModelInterfaceRelationship) 